ObjContInfo Class Reference

Public class that represents a generic information class for the generic object container. More...

`#include <DictObjContInfo.h>`

Inheritance diagram for ObjContInfo:
Collaboration diagram for ObjContInfo:

## Classes

class | Cat
| Private class that represents a category. More...
class | Item
| Private class that represents an item. More...

## Public Member Functions

void | AddCat (const std::string &catName)
void | AddCat (const std::string &catName, const std::string &col1, const bool nonDefaultValue=false, const bool inheritance=false)
void | AddItem (const std::string &descr, const std::string &itemName)
unsigned int | GetItemIndex (const std::string &catName, const std::string &itemName) const
std::pair< unsigned int, unsigned int > | GetItemIndices (const std::string &catName, const std::string &itemName) const
virtual | ~ObjContInfo ()

## Public Attributes

std::string | _objContInfoDescr
std::vector< Cat > | _cats
std::map< std::pair < std::string, std::string > , std::pair< unsigned int, unsigned int > > | _catMap

## Protected Member Functions

| ObjContInfo ()

## Detailed Description

Public class that represents a generic information class for the generic object container.

This class represents a generic information class for the generic object container. It is intended to be used as a base class for information classes of object containers. It defines the names of categories and the names of items, that are used in attributes retrieval method of ObjCont class.

## Constructor & Destructor Documentation

virtual ObjContInfo::~ObjContInfo | ( | ) |  |

virtual

Utility method, not part of users public API, and will soon be removed.

ObjContInfo::ObjContInfo | ( | ) |  |

protected

Utility method, not part of users public API, and will soon be removed.

## Member Function Documentation

void ObjContInfo::AddCat | ( | const std::string & | catName) |  |

Utility method, not part of users public API, and will soon be removed.

void ObjContInfo::AddCat | ( | const std::string & | catName,
|  | const std::string & | col1,
|  | const bool | nonDefaultValue = `false`,
|  | const bool | inheritance = `false`
| ) |  |

Utility method, not part of users public API, and will soon be removed.

void ObjContInfo::AddItem | ( | const std::string & | descr,
|  | const std::string & | itemName
| ) |  |

Utility method, not part of users public API, and will soon be removed.

unsigned int ObjContInfo::GetItemIndex | ( | const std::string & | catName,
|  | const std::string & | itemName
| ) |  | const

Utility method, not part of users public API, and will soon be removed.

std::pair<unsigned int, unsigned int> ObjContInfo::GetItemIndices | ( | const std::string & | catName,
|  | const std::string & | itemName
| ) |  | const

Utility method, not part of users public API, and will soon be removed.

## Member Data Documentation

std::map<std::pair<std::string, std::string>, std::pair<unsigned int, unsigned int> > ObjContInfo::_catMap

std::vector<Cat> ObjContInfo::_cats

std::string ObjContInfo::_objContInfoDescr

The documentation for this class was generated from the following file:

- rcsb/DictObjContInfo.h